package com.ssj.bean.weixin.problem.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "tb_lib_problem")
public class Problem extends BaseEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String title;//标题
	private String link;//链接
	private Integer type;//1.家庭图书馆2.同伴作业吧3.阅读评测,4一对一
	private Integer stat;//1.馆长端2.家长端3.馆长助理端4.老师端5校长端
	private Date createTime;//创建时间
	private Integer num;//排序从1开始
	private String name;//内容
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getLink() {
		return link;
	}
	public void setLink(String link) {
		this.link = link;
	}
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	@Column(updatable =false)
	@JSONField(serialize=false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	@JSONField(serialize=false)
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	

}
